
Foreman - Bug #26727

Bond interfaces as primary nic create invalid records

05/02/2019 09:09 AM - Oliver Falk

Status: Closed   

Priority: Urgent   

Assignee: Timo Goebel   

Category: Host creation   

Target version:    

Difficulty: easy Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6731,

https://github.com/theforeman/foreman/p

ull/6933

  

Description

The facts are uploaded and the interfaces are added to Foreman. But when i now want to update anything using the API, e.g. the

kickstart repo then it fails.

Related issues:

Related to Discovery - Bug #27499: Fix discovery tests after bond import core... Closed

Has duplicate Foreman - Bug #27280: Unable to join a machine with bonded prim... Duplicate

Associated revisions

Revision 173b7f9c - 08/01/2019 10:07 AM - Timo Goebel

fixes #26727 - import host with bonded primary interface

History

#1 - 05/02/2019 09:11 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6731 added

#2 - 07/25/2019 02:26 PM - The Foreman Bot

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/6933 added

#3 - 08/01/2019 10:07 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#4 - 08/01/2019 11:01 AM - Timo Goebel

- Status changed from Ready For Testing to Closed

Applied in changeset 173b7f9c8af5ced2f59f5a3dc09b74da3ce09a95.

#5 - 08/02/2019 07:01 AM - Lukas Zapletal

- Related to Bug #27499: Fix discovery tests after bond import core change added

#6 - 10/24/2019 07:56 AM - Tomer Brisker

- Has duplicate Bug #27280: Unable to join a machine with bonded primary interface added

#7 - 10/24/2019 12:50 PM - Amit Upadhye

- Category set to Host creation
